%define name php-pear-Net_Sieve
%define rname Net_Sieve
%define version 1.1.0
%define rversion 1.1.0
%define release 1mdk

%define pear_phpdir %{_datadir}/pear
%define pear_docdir %{_datadir}/pear/docs
%define pear_extdir %{_libdir}/php/extensions
%define pear_datadir %{_datadir}/pear/data
%define pear_testdir %{_datadir}/pear/tests

Summary: Handles talking to timsieved
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{rname}-%{version}.tar.bz2
License:   BSD
Group:     Development/Other
Url:       http://pear.php.net/package/Net_Sieve
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
PreReq:    php-pear
Requires: php-pear-Net_Socket >= 1.0
%description
Provides an API to talk to the timsieved server that comes
with Cyrus IMAPd. Can be used to install, remove, mark active etc
sieve scripts.

%prep
%setup -q -n %rname-%rversion
mv ../package.xml .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/Net
cp Sieve.php $RPM_BUILD_ROOT%{pear_phpdir}/Net/Sieve.php
mkdir -p $RPM_BUILD_ROOT%{pear_testdir}//Net
cp test_sieve.php $RPM_BUILD_ROOT%{pear_testdir}//Net//test_sieve.php

mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/packages
cp package.xml $RPM_BUILD_ROOT%{pear_phpdir}/packages/%{rname}.xml

%post
pear install -r -n %{pear_phpdir}/packages/%{rname}.xml

%preun
pear uninstall -r -n %{rname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{pear_phpdir}/Net
%dir %{pear_testdir}//Net/
%dir %{pear_testdir}//Net
%{pear_phpdir}/Net/Sieve.php
%{pear_testdir}//Net//test_sieve.php
%{pear_phpdir}/packages/%{rname}.xml

%changelog
* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 1.1.0-1mdk

- First mdk package

